#ifndef __TWDATABASE_H__
#define __TWDATABASE_H__

#include <iostream>
#include <fstream>
#include <stdlib.h>
#include <string>
#include <unistd.h>
#include <arpa/inet.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <netdb.h>
#include <errno.h>
#include <vector> // for dynamic vector


using namespace std;

#include "twProtocol.h"
#include "twUserClass.h"

extern int twCalcGroup(twUser* user);

// void twOpenDBFile();				// Opens database file to store user information for retreival later
// void twWriteDBFile(twUser user, data?); 	// Writes data for user into DBFile
/*void twInitUserDB(void);			// Starts linked list of user objects (loads user info into memory)*/
int twCheckClientIP(struct sockaddr_in *);	// returns 0 if client is in database, 1 if not in database
int twAddUser(struct sockaddr_in * info);	// Add user to vector linked list and to subscription group. returns userID or -1 if failed
int twRemoveUser(int);				// Remove user from vector linked list. returns -1 if failed
int twUpdateUser(int, twProtocol*);		// Updates user details (location, sub group etc)		
// void twCloseUserDB();			// Closes and frees linked list

#endif


