#ifndef __TWMAIN__
#define __TWMAIN__



#include <iostream>
#include <fstream>
#include <pthread.h>	//for POSIX threads API
#include <stdlib.h>
#include <string>
#include <unistd.h>
#include <arpa/inet.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <netdb.h>
#include <errno.h>
#include <vector>

#include "twComm.h"
#include "twSubscript.h"
#include "twDisplay.h"
#include "twDatabase.h"


//openGL template code taken from sourcefile written by:

/*
 * This code was created by Jeff Molofee '99 
 * (ported to Linux/SDL by Ti Leggett '01)
 *
 * If you've found this code useful, please let me know.
 *
 * Visit Jeff at http://nehe.gamedev.net/
 * 
 * or for port-specific comments, questions, bugreports etc. 
 * email to leggett@eecs.tulane.edu
 */

#define SCREEN_WIDTH  512
#define SCREEN_HEIGHT 512
#define SCREEN_BPP     16

#define TRUE  1
#define FALSE 0

#include <GL/gl.h>
#include <GL/glu.h>
#include "math.h"
#include "SDL.h"
#include <sstream>

/* This is our SDL surface */
SDL_Surface *surface;

// define external variables from other .cpp files
extern struct sockaddr_in authClientInfo;	// stores data about the user that has requested to join the server
extern int authNewClient;			// flag set by authThread checked by process to acknowledge new client. 0 = nothing, 1 = read str
extern int recvData;				// flag to acknowledge there is recv data to process
extern pthread_mutex_t authMutex;		// mutex variables for the authThread and recvThread
extern pthread_mutex_t recvMutex;		
extern int totalUsers;				// global variable storing total users
extern vector<twUser*> twUserDB;		// global twUser database vector
extern struct hostent *server;
extern int twSendACK(struct sockaddr_in*, int userID);
using namespace std;

void twHandleClients(void); // Main loop



#endif

