#include "twSubscript.h"

vector<int> subGrp01; // x<128 && y<128 *lower left quadrant* 
vector<int> subGrp02; // x<128 && y>=128 *upper left quadrant*
vector<int> subGrp03; // x>=128 && y<128 *lower right quadrant*
vector<int> subGrp04; // x>=128 && y>=128 *upper right quadrant*


// Sets up Subscription groups
void twInitSubGroups(void)
{
// create 4 subscription groups to deal with the quadrants.
// map ranges from 0-256 in the X and 0-256 in the y

}


// Add a user to a specific group
int twAddToGroup(int group,int userID)// returns -1 if fail
{

if(group == 1)
{
	subGrp01.push_back(userID);
	return 0;
}

else if(group == 2)
{
	subGrp02.push_back(userID);
	return 0;
}

else if(group == 3)
{
	subGrp03.push_back(userID);
	return 0;
}
else if(group == 4)
{
	subGrp04.push_back(userID);
	return 0;
}

else 
	cout << "could not find subgroup (group = " << group << " , userID = " << userID << " )" << endl;
	return -1;


}


int twCalcGroup(twUser* user) // -1 = fail, otherwise returns group int 1,2,3 or 4
{

int userX = user->getX();
int userY = user->getY();

// first check that userX and userY values lie within the boundaries (0-256)
if((userX<0) || (userX>256))
{
	cout << "User: " << user->getID() << " does not have a valid X co-ordinate" << endl;
	return -1;
}

if((userY<0) || (userY>256))
{
	cout << "User: " << user->getID() << " does not have a valid Y co-ordinate" << endl;
	return -1;
}

//calculate subscription group

// group 1
if((userX<128) && (userY<=128))
{
	return 1;
}
// group 2
if((userX<128) && (userY>=128))
{
	return 2;
}
// group 3
if((userX>=128) && (userY<=128))
{
	return 3;
}
// group 4
if((userX>=128) && (userY>=128))
{
	return 4;
}
else
	return -1;

}

/*
int twUpdateSubGrp(int userID, twProtocol* data)
{




}*/





