#ifndef __TWSUBSCRIPT_H__
#define __TWSUBSCRIPT_H__

#include <iostream>
#include <fstream>
#include <stdlib.h>
#include <string>
#include <unistd.h>
#include <arpa/inet.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <netdb.h>
#include <errno.h>
#include <vector> // for dynamic vector

#include "twUserClass.h" // for twUser class
#include "twProtocol.h" // for protocol

using namespace std;



void twInitSubGroups();			// Initialises subscription groups
int twAddToGroup(int, int);		// Add a user to a group	
// void twUpdateAllGroups();		// Updates all users within each group
int twCalcGroup(twUser* user);		// Calcluate which subscription group a user belongs to
// int twUpdateSubGrp(int, twProtocol*); // Updates users subgroup when data has been received

#endif

