#ifndef __TWPCCLIENT_H__
#define __TWPCCLIENT_H__

#include <iostream>
#include <pthread.h>	//for POSIX threads API
#include <stdlib.h>
#include <string>
#include <unistd.h>
#include <arpa/inet.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <netdb.h>
#include <errno.h>

//This is the size of the data to send over sockets
#define MSGSIZE 501
//This is the port that the server binds to and listens for connections
#define AUTHPORT 9779 
#define INPORT 9780 
#define OUTPORT 9781


#define SERVERAUTH 9779
#define SERVERIN 9780
#define SERVEROUT 9781
#define DSPORT 80


#include "twProtocol.h"

//openGL template code taken from sourcefile written by:

/*
 * This code was created by Jeff Molofee '99 
 * (ported to Linux/SDL by Ti Leggett '01)
 *
 * If you've found this code useful, please let me know.
 *
 * Visit Jeff at http://nehe.gamedev.net/
 * 
 * or for port-specific comments, questions, bugreports etc. 
 * email to leggett@eecs.tulane.edu
 */

#define SCREEN_WIDTH  512
#define SCREEN_HEIGHT 512
#define SCREEN_BPP     16

#define TRUE  1
#define FALSE 0

#include <GL/gl.h>
#include <GL/glu.h>
#include "math.h"
#include "SDL.h"
#include <sstream>

/* This is our SDL surface */
SDL_Surface *surface;

using namespace std;





#endif
